<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node47.html" />
<link rel="prev" href="node45.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node47.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>14 Troubleshooting</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="13 create your first"
  href="node45.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="15 platform and operating"
  href="node47.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node45.html">13 Create your first</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node47.html">15 Platform and operating</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION0011400000000000000000"></a><a name="troubleshooting"></a>
<br>
14 Troubleshooting
</h1>

<p>
If you encounter problems with running Mailman, first check the question and
answer section below.  If your problem is not covered there, check the
<a class="ulink" href="http://www.list.org/help.html"
  >online help</a>, including the
<a class="ulink" href="http://www.list.org/faq.html"
  >FAQ</a> and the
<a class="ulink" href="http://wiki.list.org/x/AgA3"
  >community FAQ wiki</a>.

<p>
Also check for errors in your syslog files, your mail and web server log files
and in Mailman's <span class="file"><var>$prefix</var>/logs/error</span> file.  If you're still
having problems, you should send a message to the
<span class="email">mailman-users@python.org</span> mailing list<a name="tex2html7"
  href="#foot651"><sup>7</sup></a>; see
<a class="url" href="http://mail.python.org/mailman/listinfo/mailman-users">http://mail.python.org/mailman/listinfo/mailman-users</a> for more
information.

<p>
Be sure to including information on your operating system, which version of
Python you're using, and which version of Mailman you're installing.

<p>
Here is a list of some common questions and answers:

<p>

<ul>
<li><strong>Problem:</strong> All Mailman web pages give a 404 File not found
      error.

<p>
<strong>Solution:</strong> Your web server has not been set up properly for
      handling Mailman's CGI programs.  Make sure you have:

<p>

<ol>
<li>configured the web server to give permissions to
            <span class="file"><var>$prefix</var>/cgi-bin</span>

<p>
</li>
<li>restarted the web server properly.
      
</li>
</ol>

<p>
Consult your web server's documentation for instructions on how to do
      check these issues.

<p>
</li>
<li><strong>Problem:</strong> All Mailman web pages give an "Internal Server
      Error".

<p>
<strong>Solution:</strong> The likely problem is that you are using the wrong
      user or group for the CGI scripts.  Check your web server's log files.
      If you see a line like

<p>
<div class="verbatim"><pre>
            Attempt to exec script with invalid gid 51, expected 99
</pre></div>

<p>
you will need to reinstall Mailman, specifying the proper CGI group id,
      as described in the <a href="building.html#building">3</a> section.

<p>
</li>
<li><strong>Problem:</strong> I send mail to the list, and get back mail saying the
       list is not found!

<p>
<strong>Solution:</strong> You probably didn't add the necessary aliases to the
      system alias database, or you didn't properly integrate Mailman with
      your mail server.  Perhaps you didn't update the alias database, or your
      system requires you to run <b class="program">newaliases</b> explicitly.  Refer to
      your server specific instructions in the <a href="mail-server.html#mail-server">6</a> section.

<p>
</li>
<li><strong>Problem:</strong> I send mail to the list, and get back mail saying,
      ``unknown mailer error''.

<p>
<strong>Solution:</strong> The likely problem is that you are using the wrong
      user or group id for the mail wrappers.  Check your mail server's log
      files; if you see a line like

<p>
<div class="verbatim"><pre>
            Attempt to exec script with invalid gid 51, expected 99
</pre></div>

<p>
you will need to reinstall Mailman, specifying the proper mail group id
      as described in the <a href="building.html#building">3</a> section.

<p>
</li>
<li><strong>Problem:</strong> I use Postfix as my mail server and the mail wrapper
      programs are logging complaints about the wrong GID.

<p>
<strong>Solution:</strong> Make sure the <span class="file"><var>$prefix</var>/data/aliases.db</span>
      file is user owned by <code>mailman</code> (or whatever user name you used
      in the <b class="program">configure</b> command).  If this file is not user owned by
      <code>mailman</code>, Postfix will not run the mail programs as the correct
      user.

<p>
</li>
<li><strong>Problem:</strong> I use Sendmail as my mail server, and when I send mail
      to the list, I get back mail saying, ``sh: mailman not available for
      sendmail programs''.

<p>
<strong>Solution:</strong> Your system uses the Sendmail restricted shell
      (smrsh). You need to configure smrsh by creating a symbolic link from
      the mail wrapper (<span class="file"><var>$prefix</var>/mail/mailman</span>) to the directory
      identifying executables allowed to run under smrsh.

<p>
Some common names for this directory are <span class="file">/var/admin/sm.bin</span>,
      <span class="file">/usr/admin/sm.bin</span> or <span class="file">/etc/smrsh</span>.

<p>
Note that on Debian Linux, the system makes <span class="file">/usr/lib/sm.bin</span>,
      which is wrong, you will need to create the directory
      <span class="file">/usr/admin/sm.bin</span> and add the link there.  Note further any
      aliases <b class="program">newaliases</b> spits out will need to be adjusted to point
      to the secure link to the wrapper.

<p>
</li>
<li><strong>Problem:</strong>  I messed up when I called <b class="program">configure</b>.  How
      do I clean things up and re-install?

<p>
<strong>Solution:</strong>

<p>
<div class="verbatim"><pre>
        % make clean
        % ./configure --with-the-right-options
        % make install
</pre></div>

<p>
</li>
</ul>

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot651">... list</a><A
 href="troubleshooting.html#tex2html7"><sup>7</sup></a></dt>
<dd>You must subscribe to
this mailing list in order to post to it, but the mailing list's archives are
publicly visible.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="13 create your first"
  href="node45.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="15 platform and operating"
  href="node47.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node45.html">13 Create your first</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node47.html">15 Platform and operating</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
